Go Down

Topic: Can't upload any sketch with Arduino Software 1.0 or above (Read 1 time) previous topic - next topic

ttttkk

Apr 28, 2013, 07:19 pm Last Edit: Apr 28, 2013, 07:37 pm by ttttkk Reason: 1
Hi, I have a Duemilanove 328p, with the same settings and hardware, how come it gives me an "not in sync message" while trying to upload any sketch with Arduino Software version 1.00 or above?

But with versions below 1.00 like 0023, the sketch uploaded without problem.


Thank you!

retrolefty

That is a strange symptom on it's surface. Can you load the example blink sketch to the board using IDE 1.0?

Lefty

ttttkk

no can do! It didn't even upload the bareminimum sketch.
I would stick with IDE 0023, but some of the libraries doesn't work under old IDE.

retrolefty


no can do! It didn't even upload the bareminimum sketch.
I would stick with IDE 0023, but some of the libraries doesn't work under old IDE.


Is this on the same PC with both IDE versions installed? If not and using separate PCs be sure you have the correct driver installed on the one running 1.0 for a Duemilanove board which uses a FTDI USB driver.

Lefty

ttttkk

Same pc, same cable , same everything. I just launched separate IDE to upload. Do i have to install additional drivers for the new IDE?

retrolefty


Same pc, same cable , same everything. I just launched separate IDE to upload. Do i have to install additional drivers for the new IDE?


No, If the FTDI driver is already there and working with the older IDE then it will work with the newer IDE. I've never had a problem upgrading IDE and using existing boards starting way back at IDE 11 I think.

Lefty

hiduino

Did you by chance modify your 0023 installation for the Duemilanove?

Can you show some output from 0023 and the failed newer IDE?


ttttkk

No, they both freshly installed. I don't have enough knowledge to do the modification :)

It gives me "avrdude: stk500_getsync(): not in sync: resp=0x00" error with 1.00 or above IDE...

I just brought a new USB cable, but as you know, no success. I'm now officially frustrated...

hiduino

What FTDI driver version is installed?  (For Windows, you can check the Device Manager USB Serial Port properties under the Driver tab.)

If you have v2.8.28.0, some people have had problems with that version and resolved it by downgrading to v2.8.24.0.


ttttkk

The FTDI driver i have is version 2.8.14.0. How can I get hold of version 2.8.28.0 or 2.8.24.0 ? I went to the FTDI web site there it shows the latest version is 2.08.28 dated Feb 2013. I tried to install it anyways, but it says my installed driver is already the latest. Then I searched through the net and found 2.8.24.0, but the file is dated April 2012, my windows says it is older than my current version.

Now I'm confused.

Go Up